RDKit::CIPLabeler::CIPMolSpan< T, U >::CIPMolIter Class Reference

`#include <CIPMol.h>`

## Public Member Functions

| CIPMolIter ()=delete
| CIPMolIter (ROMol &mol, U pos)
T & | operator* ()
CIPMolIter & | operator++ ()
bool | operator!= (const CIPMolIter &it) const

## Detailed Description

### template<typename T, typename U>
class RDKit::CIPLabeler::CIPMolSpan< T, U >::CIPMolIter

Definition at line 27 of file CIPMol.h.

## Constructor & Destructor Documentation

## CIPMolIter() [1/2]

template<typename T , typename U >

RDKit::CIPLabeler::CIPMolSpan< T, U >::CIPMolIter::CIPMolIter | ( |  | ) |

delete

## CIPMolIter() [2/2]

template<typename T , typename U >

RDKit::CIPLabeler::CIPMolSpan< T, U >::CIPMolIter::CIPMolIter | ( | ROMol & | mol,
|  | U | pos
| ) |  |

inline

Definition at line 30 of file CIPMol.h.

## Member Function Documentation

## operator!=()

template<typename T , typename U >

bool RDKit::CIPLabeler::CIPMolSpan< T, U >::CIPMolIter::operator!= | ( | const CIPMolIter & | it | ) | const

inline

Definition at line 42 of file CIPMol.h.

## operator*()

template<typename T , typename U >

T& RDKit::CIPLabeler::CIPMolSpan< T, U >::CIPMolIter::operator* | ( |  | ) |

inline

Definition at line 32 of file CIPMol.h.

## operator++()

template<typename T , typename U >

CIPMolIter& RDKit::CIPLabeler::CIPMolSpan< T, U >::CIPMolIter::operator++ | ( |  | ) |

inline

Definition at line 37 of file CIPMol.h.

The documentation for this class was generated from the following file:

- CIPMol.h